# EventFocus
**Inherits:** [EventBubble](/reference/EventBubble.html)
    
## Description

Emitted when a Node with the `ui_focus` group is focused or unfocused.

## Properties

| Name                                     | Type                                                                | Default |
| ---------------------------------------- | ------------------------------------------------------------------- | ------- |
| [previous_target](#prop-previous-target) | [Node](https://docs.godotengine.org/de/4.x/classes/class_node.html) |         |









## Property Descriptions

### previous_target: [Node](https://docs.godotengine.org/de/4.x/classes/class_node.html) {#prop-previous-target}

The Node that was previously focused or unfocused.
